*, *::before, *::after {
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    min-height: 100%;
    display: flex;
    flex-direction: column;
    margin: 0;
    font-family: itc-avant-garde-gothic-pro, sans-serif;
    font-weight: 300;
}

a {
    color: #0067f7;
    transition: text-decoration-color 0.2s ease;
}

a:hover {
    text-decoration-color: transparent;
}

body > * {
    flex: 0;
}

.container {
    max-width: 1100px;
    margin: 0 auto;
}

header {
    background: #FFFFFF;
    color: white;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    z-index: 10;
    border-bottom: 8px solid #0067f7;
}

header > .container {
    display: flex;
    justify-content: space-between;
    align-items: end;
}

.logo {
    padding: 16px;
}

.logo .logo-image {
    display: block;
    width: auto;
    height: 96px;
}

nav {
    display: flex;
    gap: 4px;
    padding-right: 16px;
    padding-bottom: 8px;
}

nav > :is(a, span) {
    display: block;
    text-decoration: none;
    padding: 16px;
    color: #000000;
    transition: 0.2s ease;
    transition-property: color, background-color;
}

nav > span {
    cursor: default;
}

nav > :is(a, span) + .nav-dropdown {
    display: none;
    position: absolute;
    left: 0;
    right: 0;
    top: 128px;
    overflow: clip;
}

.nav-dropdown-inner {
    background: #0067f7;
    border-bottom: 8px solid white;
    color: white;
    padding: 32px 16px;
    animation: slide-down 0.75s ease;
}

nav > :is(a, span):hover + .nav-dropdown,
.nav-dropdown:hover {
    display: block;
}

nav > :is(a, span):has(+ .nav-dropdown):hover::after,
nav > :is(a, span):has(+ .nav-dropdown:hover)::after {
    translate: 0 12px;
}

nav > :is(a, span):has(+ .nav-dropdown) {
    position: relative;
}

nav > :is(a, span):has(+ .nav-dropdown)::after {
    content: "";
    display: block;
    box-sizing: content-box;
    width: 0;
    height: 0;
    position: absolute;
    left: calc(50% - 6px);
    top: calc(50% + 0.5lh);
    border: 6px solid transparent;
    border-top-color: currentColor;
    transition: translate 0.75s ease;
}

nav > :is(a, span):has(+ .nav-dropdown)::before {
    content: "";
    display: block;
    position: absolute;
    background: none;
    pointer-events: none;
    left: 0;
    right: 0;
    bottom: -8px;
    height: 8px;
    transition: background-color 0.2s ease;
}

nav > :is(a, span):has(+ .nav-dropdown):hover::before,
nav > :is(a, span):has(+ .nav-dropdown:hover)::before {
    pointer-events: all;
    background: #0067f7;
}

nav > :is(a, span).selected {
    color: #0067f7;
}

nav > :is(a, span):hover,
nav > :is(a, span):has(+ .nav-dropdown:hover) {
    background: #0067f7;
    color: #FFFFFF;
}

.link-list-wrapper {
    display: flex;
    gap: 96px;
}

.link-list-column {
    display: flex;
    gap: 12px;
}

.link-list-header {
    font-weight: bold;
}

.link-list-icon {
    display: block;
    width: 32px;
    height: 32px;
}

.link-list {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 12px 0 0;
    flex-direction: column;
    gap: 12px;
    align-items: start;
}

.link-list > li {
    display: contents;
}

.link-list > li > a {
    display: block;
    color: inherit;
}

main {
    flex: 1;
    margin-top: 128px;
}

main > .container {
    display: grid;
    max-width: none;
    margin: 0;
    grid-template-columns: minmax(16px, 1fr) minmax(0, 1100px) minmax(16px, 1fr);
}

main > .container > * {
    grid-column: 2;
}

aside {
    position: fixed;
    right: 0;
    top: 50%;
    translate: 0 -50%;
    display: flex;
    flex-direction: column;
    gap: 8px;
    z-index: 5;
}

aside > a,
#to-top {
    display: block;
    width: 64px;
    height: 64px;
    background: #0067f7;
    font-size: 0;
    text-indent: 64px;
    white-space: nowrap;
    overflow: hidden;
    padding: 8px;
    box-shadow: 0 0 0 1px #fff8;
    transform-origin: right center;
    transition: scale 0.2s ease;
}

#to-top {
    appearance: none;
    border-radius: 0;
    position: fixed;
    right: 0;
    bottom: 16px;
    transform-origin: right bottom;
    border: none;
    cursor: pointer;
    z-index: 5;
}

aside > a:hover,
#to-top:hover {
    scale: 1.3333;
    z-index: 2;
}

aside > a::after,
#to-top::after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    background: white;
    -webkit-mask-image: var(--image, none);
    -webkit-mask-size: contain;
    -webkit-mask-position: center;
    -webkit-mask-repeat: no-repeat;
    mask-image: var(--image, none);
    mask-size: contain;
    mask-position: center;
    mask-repeat: no-repeat;
}

.hero {
    height: 500px;
    display: grid;
    position: relative;
    z-index: 0;
    grid-template-columns: minmax(16px, 1fr) minmax(0, 1100px) minmax(16px, 1fr);
    overflow: clip;
}

main > .container > .hero {
    grid-column: 1 / span 3;
}

.hero::before {
    content: "";
    display: block;
    grid-column: 1;
    height: 100%;
    background: #0067f7;
}

picture.hero-image {
    display: block;
    position: absolute;
    inset: 0;
    z-index: -1;
    object-fit: cover;
    object-position: center bottom;
    translate: 0 calc(0.5 * var(--pg-scroll-position));
}

picture.hero-image > img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center bottom;
}

.hero-inner {
    grid-column: 2;
    height: 100%;
    align-content: center;
    background-image: linear-gradient(to right, #0067f7, #0067f700);
}

.hero-claim {
    color: white;
    font-size: 42pt;
    max-width: 20ch;
}

footer {
    background: #0067f7;
    color: #FFFFFF;
    padding: 16px;
    min-height: 6lh;
    align-content: end;
}

@keyframes slide-down {
    from { translate: 0 -100%; }
}
